> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coralos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List extended session states

> List extended session states for a given namespace



## OpenAPI

````yaml /api_v1.json get /api/v1/local/namespace/{namespace}/extended
openapi: 3.1.0
info:
  title: Coral Server API
  version: '1.0'
servers: []
security: []
tags: []
externalDocs:
  url: /
paths:
  /api/v1/local/namespace/{namespace}/extended:
    get:
      tags:
        - local
      summary: List extended session states
      description: List extended session states for a given namespace
      operationId: getSessionStatesExtended
      parameters:
        - name: namespace
          in: path
          description: The namespace name
          required: true
          deprecated: false
          explode: false
          schema:
            type: string
            title: String
      responses:
        '200':
          description: Success
          headers: {}
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SessionStateExtended'
                title: ArrayList<SessionStateExtended>
        '404':
          description: Invalid namespace provided
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouteException'
      deprecated: false
      security:
        - token: []
components:
  schemas:
    SessionStateExtended:
      type: object
      description: The state of a running session
      properties:
        base:
          $ref: '#/components/schemas/SessionStateBase'
          description: Base session state
        agents:
          type: array
          description: A list of the states of all agents in this session
          items:
            $ref: '#/components/schemas/SessionAgentState'
          title: ArrayList<SessionAgentState>
        threads:
          type: array
          description: A list of the states of all threads in this session
          items:
            $ref: '#/components/schemas/SessionThread'
          title: ArrayList<SessionThread>
      required:
        - agents
        - base
        - threads
      title: SessionStateExtended
    RouteException:
      type: object
      properties:
        message:
          type: string
          title: String
      required:
        - message
      title: RouteException
    SessionStateBase:
      type: object
      description: The base state of a running session, without agent or threads
      properties:
        id:
          type: string
          description: The unique identifier for this session
          title: String
        timestamp:
          type: string
          description: The timestamp of when this state was generated
          title: UTC timestamp ISO-8601
        namespace:
          type: string
          description: The namespace that this session resides in
          title: String
        status:
          anyOf:
            - type: object
              description: |2-

                        The session is closing and will soon be removed from memory.  The closing status can only be observed when 
                        the session has persistence configure in SessionRuntimeSettings.  Note that there is no closed state for 
                        sessions, as closed sessions are deleted from memory
                        
              properties:
                type:
                  type: string
                  enum:
                    - closing
                  title: String
                executionTime:
                  type: string
                  title: UTC timestamp ISO-8601
                closingTime:
                  type: string
                  title: UTC timestamp ISO-8601
              required:
                - closingTime
                - executionTime
                - type
              title: closing
            - type: object
              description: >-
                This session status is only achieved when creating sessions with
                deferred execution
              properties:
                type:
                  type: string
                  enum:
                    - pending_execution
                  title: String
              required:
                - type
              title: pending_execution
            - type: object
              description: |2-

                        The session launched it's agents and is currently running.  The session's status will remain as running until:
                        
                        1. All the agents in the session exit, or
                        2. The session's TTL expires, or
                        3. Manual exit 
                        
              properties:
                type:
                  type: string
                  enum:
                    - executed
                  title: String
                executionTime:
                  type: string
                  title: UTC timestamp ISO-8601
              required:
                - executionTime
                - type
              title: executed
          description: The status of the session
          discriminator:
            propertyName: type
          title: SessionStatus
        annotations:
          type: object
          additionalProperties:
            type: string
            title: String
          title: LinkedHashMap<String,String>
      required:
        - annotations
        - id
        - namespace
        - status
        - timestamp
      title: SessionStateBase
    SessionAgentState:
      type: object
      description: The state of an agent running in a session
      properties:
        name:
          type: string
          description: >-
            The name given for this agent in the AgentGraph, this is unique in
            the graph
          title: String
        registryAgentIdentifier:
          $ref: '#/components/schemas/RegistryAgentIdentifier'
          description: >-
            The identifier for this agent's registry entry.  See RegistryAgent
            for more information
        status:
          anyOf:
            - type: object
              description: >-
                The agent is running and potentially has a connection with the
                agent's MCP server
              properties:
                type:
                  type: string
                  enum:
                    - running
                  title: String
                connectionStatus:
                  anyOf:
                    - type: object
                      description: >-
                        The agent has an active MCP connection with the agent's
                        MCP server
                      properties:
                        type:
                          type: string
                          enum:
                            - connected
                          title: String
                        communicationStatus:
                          anyOf:
                            - type: object
                              description: The agent is sleeping
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - sleeping
                                  title: String
                              required:
                                - type
                              title: sleeping
                            - type: object
                              description: >-
                                The agent is not waiting for messages or
                                sleeping and is assumed to be thinking
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - thinking
                                  title: String
                              required:
                                - type
                              title: thinking
                            - type: object
                              description: The agent is waiting for a message
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - waiting_message
                                  title: String
                              required:
                                - type
                              title: waiting_message
                          discriminator:
                            propertyName: type
                          title: SessionAgentCommunicationStatus
                      required:
                        - communicationStatus
                        - type
                      title: connected
                    - type: object
                      description: >-
                        The agent is not connected to the agent's MCP server, it
                        may be trying to connect actively or it may have
                        encountered an error
                      properties:
                        type:
                          type: string
                          enum:
                            - not_connected
                          title: String
                      required:
                        - type
                      title: not_connected
                  discriminator:
                    propertyName: type
                  title: SessionAgentConnectionStatus
                startTime:
                  type: string
                  description: The time that this agent started
                  title: UTC timestamp ISO-8601
              required:
                - connectionStatus
                - startTime
                - type
              title: running
            - type: object
              description: The agent's runtime started and then subsequently stopped
              properties:
                type:
                  type: string
                  enum:
                    - stopped
                  title: String
                startTime:
                  type: string
                  description: The time that this agent started
                  title: UTC timestamp ISO-8601
              required:
                - type
              title: stopped
            - type: object
              description: The agent is waiting to be launched
              properties:
                type:
                  type: string
                  enum:
                    - waiting
                  title: String
              required:
                - type
              title: waiting
          description: >-
            Nested status state for this agent, running -> connected ->
            thinking/waiting/sleeping
          discriminator:
            propertyName: type
          title: SessionAgentStatus
        description:
          type: string
          description: The description of this agent, given to other agents in the graph
          title: String
        links:
          type: array
          description: >-
            A list of agents that this agent is aware of, constructed from agent
            groups in the AgentGraph
          items:
            type: string
            title: String
          title: LinkedHashSet<String>
          uniqueItems: true
        annotations:
          type: object
          additionalProperties:
            type: string
            title: String
          title: LinkedHashMap<String,String>
        tokensByModel:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/TokenUsage'
          description: Token usage broken down by provider/model (e.g. 'openai/gpt-4.1')
          title: LinkedHashMap<String,TokenUsage>
      required:
        - annotations
        - links
        - name
        - registryAgentIdentifier
        - status
        - tokensByModel
      title: SessionAgentState
    SessionThread:
      type: object
      properties:
        id:
          type: string
          title: String
        name:
          type: string
          title: String
        creatorName:
          type: string
          title: String
        participants:
          type: array
          items:
            type: string
            title: String
          title: LinkedHashSet<String>
          uniqueItems: true
        messages:
          type: array
          items:
            $ref: '#/components/schemas/SessionThreadMessage'
          title: ArrayList<SessionThreadMessage>
        state:
          anyOf:
            - type: object
              properties:
                state:
                  type: string
                  enum:
                    - closed
                  title: String
                summary:
                  type: string
                  title: String
                timestamp:
                  type: string
                  title: UTC timestamp ISO-8601
              required:
                - state
                - summary
                - timestamp
              title: closed
            - type: object
              properties:
                state:
                  type: string
                  enum:
                    - open
                  title: String
              required:
                - state
              title: open
          discriminator:
            propertyName: state
          title: SessionThreadState
        timestamp:
          type: string
          title: UTC timestamp ISO-8601
      required:
        - creatorName
        - id
        - messages
        - name
        - participants
        - state
        - timestamp
      title: SessionThread
    RegistryAgentIdentifier:
      type: object
      properties:
        name:
          type: string
          description: The exact name of the agent in the registry
          title: String
        version:
          type: string
          description: The exact version of the agent in the registry
          title: String
        registrySourceId:
          anyOf:
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - linked
                  title: String
                linkedServerId:
                  type: string
                  title: String
              required:
                - linkedServerId
                - type
              title: linked
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - local
                  title: String
              required:
                - type
              title: local
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - marketplace
                  title: String
              required:
                - type
              title: marketplace
          description: The identifier for the registry source that contains this agent
          discriminator:
            propertyName: type
          title: AgentRegistrySourceIdentifier
      required:
        - name
        - registrySourceId
        - version
      title: RegistryAgentIdentifier
    TokenUsage:
      type: object
      properties:
        inputTokens:
          type: integer
          format: int64
          title: Long
        outputTokens:
          type: integer
          format: int64
          title: Long
      required:
        - inputTokens
        - outputTokens
      title: TokenUsage
    SessionThreadMessage:
      type: object
      properties:
        id:
          type: string
          title: String
        threadId:
          type: string
          title: String
        text:
          type: string
          title: String
        senderName:
          type: string
          title: String
        mentionNames:
          type: array
          items:
            type: string
            title: String
          title: LinkedHashSet<String>
          uniqueItems: true
        timestamp:
          type: string
          title: UTC timestamp ISO-8601
      required:
        - id
        - mentionNames
        - senderName
        - text
        - threadId
        - timestamp
      title: SessionThreadMessage
  securitySchemes:
    token:
      type: http
      scheme: bearer
      bearerFormat: Configured token

````